Bug 988827 - 16.5.3. How to install mod_cluster from RPM is missing
16.5.3. How to install mod_cluster from RPM is missing
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: ER6
: EAP 6.2.0
Assigned To: Scott Mumford
Michal Karm Babacek
:
Depends On:
Blocks: 1004884
  Show dependency treegraph
 
Reported: 2013-07-26 09:43 EDT by Pavel Janousek
Modified: 2017-10-09 20:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1004884 (view as bug list)
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11865, Administration and Configuration Guide-6.1-4 Build Date: 23-07-2013 14:19:42 Topic ID: 5218-460339 [Specified]
Last Closed: 2013-12-15 11:18:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-26 09:43:36 EDT
Title: Install the mod_cluster Module Into Apache HTTPD or JBoss Enterprise Web Server HTTPD

Describe the issue:
Described procedure is valid for ZIP based installation only. RPM based installation way is missing at all.
Comment 1 Michal Karm Babacek 2013-08-30 11:14:40 EDT
I have prepared a draft for the docs. Just to be on the same page: mod_cluster.noarch is installed as a part of the jboss-eap6 groupinstall. mod_cluster-native is an optional package, not installed with jboss-eap6 groupinstall. Furthermore, I'll explain the process on x86_64 arch, please note that it is exactly the same on i386 arch.

Please, rewrite the text as necessary. I am very well aware of the fact that the language does not meet the necessary standards :-P


RHEL5
=====
The base os httpd 2.2.3 is too old for mod_cluster, there is no option but for:

{code}
yum install mod_cluster-native
{code}

This step will install httpd 2.2.22 and all necessary dependencies from jbappplatform-6-x86_64-server-5-rpm channel.
At this point, mod_cluster balancer is ready and the httpd it resides in can be started as simply as:

{code}
service httpd start
{code}




RHEL6
=====
There are two options on RHEL6.

a) Use the base os httpd 2.2.15
-------------------------------
It is possible to use mod_cluster-native with the base os httpd 2.2.15, yet,
the dependency of mod_cluster-native package is set to httpd >= 2.2.22. If updating httpd to httpd 2.2.22 from jbappplatform-6-x86_64-server-5-rpm channel is not the preferred option, one can install mod_cluster-native with these steps:

{code}
yumdownloader mod_cluster-native.x86_64
yum install policycoreutils-python
rpm -i mod_cluster-native-1.2.4-1.Final.redhat_1.ep6.el6.x86_64.rpm --nodeps
{code}

At this point, mod_cluster native is installed and can be used with base os httpd 2.2.15. One has to disable the mod_proxy_balancer module loaded by default in httpd 2.2.15. The following step does that:

{code}
sed -i 's/^LoadModule proxy_balancer_module/#LoadModule proxy_balancer_module/;s/$//' /etc/httpd/conf/httpd.conf
{code}

At this point, mod_cluster balancer is ready and the httpd it resides in can be started as simply as:

{code}
service httpd start
{code}

b) Use the JBAPP6 httpd 2.2.22
------------------------------
The following step will install mod_cluster-native and httpd 2.2.22 from jbappplatform-6-x86_64-server-5-rpm channel.

{code}
yum install mod_cluster-native
{code}

At this point, mod_cluster balancer is ready and the httpd it resides in can be started as simply as:

{code}
service httpd start
{code}





HTH
:-)
Comment 2 Michal Karm Babacek 2013-08-30 11:59:03 EDT
(In reply to Michal Babacek from comment #1)

After a brief discussion with my dear colleague, who went WTF? after reading the RHEL6 part, let me rephrase my previous statement:

RHEL5    - Correct, it is an install guide.
RHEL6 b) - Correct, it is an install guide.
RHEL6 a) - It works, yet, it is definitely a workaround, not an install guide.
           yum update complications must be taken into account here.
 
 
Further on RHEL6 a):
If the base os httpd 2.2.15 must be used, it would be the best to use mod_cluster-native from the zip distribution, not an RPM one.
Comment 6 Michal Karm Babacek 2013-10-10 09:34:12 EDT
Dear docs guys, let me share the updated version of the "How to install mod_cluster from RPM" text. This guide must make it to EAP 6.2 documentation.
I would like you to read it and ask questions if you encounter anything that doesn't make sense...
 

 
Just to be on the same page: mod_cluster.noarch is installed as a part of the jboss-eap6 groupinstall.
mod_cluster-native is an optional package, not installed with jboss-eap6 groupinstall.
Furthermore, I'll explain the process on x86_64 arch, please note that it is exactly the same on i386 arch.

RHEL 5
======
Apache HTTP Server 2.2.3 (package httpd 2.2.3) native to RHEL 5 is too old for mod_cluster, there is no option but for:

{code}
yum install mod_cluster-native
{code}

This step will install Apache HTTP Server 2.2.22 and all necessary dependencies from jbappplatform-6-x86_64-server-5-rpm channel.
At this point, mod_cluster balancer is ready and the Apache HTTP Server instance it resides in can be started as simply as:

{code}
service httpd start
{code}



RHEL 6
======
There are two options on RHEL 6.

a) Use Apache HTTP Server 2.2.15 native to RHEL 6
--------------------------------------------------
It is possible to use mod_cluster-native with a previously installed Apache HTTP Server 2.2.15 (package httpd 2.2.15) native to RHEL 6.

{code}
yum install mod_cluster-native
{code}

At this point, mod_cluster native is installed and can be used with Apache HTTP Server 2.2.15.
One has to disable the mod_proxy_balancer module loaded by default in Apache HTTP Server 2.2.15 present on RHEL 6 system.
The following step does that:

{code}
sed -i 's/^LoadModule proxy_balancer_module/#LoadModule proxy_balancer_module/;s/$//' /etc/httpd/conf/httpd.conf
{code}

At this point, mod_cluster balancer is ready and the Apache HTTP Server instance it resides in can be started as simply as:

{code}
service httpd start
{code}

b) Use the JBAPP6 Apache HTTP Server 2.2.22
--------------------------------------------
The following step will install mod_cluster-native and Apache HTTP Server 2.2.22 from jbappplatform-6-x86_64-server-6-rpm channel.

{code}
yum install mod_cluster-native httpd
{code}

At this point, mod_cluster balancer is ready and the Apache HTTP Server it resides in can be started as simply as:

{code}
service httpd start
{code}


HTH
-M-
Comment 8 Scott Mumford 2013-10-29 19:51:16 EDT
Thanks for the awesome content Michal.

I've used it to create a new topic (24378), which has been placed in the Admin and Config guide directly following the (now renamed) ZIP topic.

Moving this bug to MODIFIED and will progress it to ON_QA once the new content is available for review.
Comment 10 Michal Karm Babacek 2013-10-30 05:24:16 EDT
Dear Mr. Scott, 
I'm afraid that you mistook the old, EAP 6.1.1 relevant version depicted in [Comment 1] for the EAP 6.2 relevant version one might find in [Comment 6].

The current state of the docs you linked to in your [Comment 9] is erroneous within the context of EAP 6.2.

Please, use the updated content from [Comment 6].
Comment 11 Scott Mumford 2013-10-31 18:04:14 EDT
Oops, sorry about that Michal.
I was aware that you'd provided updated content, but somewhere in the window/tab switching, I must have lost my place in the ticket.

I've corrected it now and, with a little encouragement from Russell, have collapsed the different procedures into one simpler one (as most of the steps were the same anyway).

Please let me know if having done this has obfuscated anything important to readers.

Latest build is at the URL above (version 2.0-10)
Comment 12 Michal Karm Babacek 2013-11-01 09:01:04 EDT
Hi Scott, I have two remarks regarding the Chapter 16.5.4.:

1) What do you mean by suggesting to download Connector natives as a prerequisite to RPM installation? I find it being quite weird...


2) Connecter/Connector :-)
Comment 13 Scott Mumford 2013-11-03 19:43:24 EST
Thanks Michal,

I've removed the step about downloading Natives. I had originally just reused the pre-requisites list from similar topics, thanks for letting me know that one was unnecessary.
Comment 14 Michal Karm Babacek 2013-11-06 05:55:03 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.